src/Entity/Officine.php
<?php

namespace App\Entity;

use App\Repository\OfficineRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
* @ORM\Entity(repositoryClass=OfficineRepository::class)
*/
class Officine
{
    /**
    * @ORM\Id
    * @ORM\GeneratedValue
    * @ORM\Column(type="integer")
    */
    private $id;

    /**
    * @ORM\Column(type="string", length=255)
    */
    private $RaisonSociale;

    /**
    * @ORM\Column(type="string", length=255)
    */
    private $Adresse;

    /**
    * @ORM\Column(type="string", length=255)
    */
    private $CodePostal;

    /**
    * @ORM\Column(type="string", length=255)
    */
    private $Ville;

    /**
    * @ORM\Column(type="string", length=255)
    */
    private $Telephone;

    /**
    * @ORM\OneToOne(targetEntity=User::class, inversedBy="officine", cascade={"persist", "remove"})
    * @ORM\JoinColumn(nullable=false)
    */
    private $User;

    /**
    * @ORM\OneToMany(targetEntity=ChambreFroide::class, mappedBy="Officine")
    */
    private $chambreFroides;

    public function __construct()
    {
        $this->chambreFroides = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getRaisonSociale(): ?string
    {
        return $this->RaisonSociale;
    }

    public function setRaisonSociale(string $RaisonSociale): self
    {
        $this->RaisonSociale = $RaisonSociale;

        return $this;
    }

    public function getAdresse(): ?string
    {
        return $this->Adresse;
    }

    public function setAdresse(string $Adresse): self
    {
        $this->Adresse = $Adresse;

        return $this;
    }

    public function getCodePostal(): ?string
    {
        return $this->CodePostal;
    }

    public function setCodePostal(string $CodePostal): self
    {
        $this->CodePostal = $CodePostal;

        return $this;
    }

    public function getVille(): ?string
    {
        return $this->Ville;
    }

    public function setVille(string $Ville): self
    {
        $this->Ville = $Ville;

        return $this;
    }

    public function getTelephone(): ?string
    {
        return $this->Telephone;
    }

    public function setTelephone(string $Telephone): self
    {
        $this->Telephone = $Telephone;

        return $this;
    }

    public function getUser(): ?User
    {
        return $this->User;
    }

    public function setUser(User $User): self
    {
        $this->User = $User;

        return $this;
    }

    /**
    * @return Collection|ChambreFroide[]
    */
    public function getChambreFroides(): Collection
    {
        return $this->chambreFroides;
    }

    public function addChambreFroide(ChambreFroide $chambreFroide): self
    {
        if (!$this->chambreFroides->contains($chambreFroide)) {
            $this->chambreFroides[] = $chambreFroide;
            $chambreFroide->setOfficine($this);
        }
        return $this;
    }

    public function removeChambreFroide(ChambreFroide $chambreFroide): self
    {
        if ($this->chambreFroides->removeElement($chambreFroide)) {
            // set the owning side to null (unless already changed)
            if ($chambreFroide->getOfficine() === $this) {
                $chambreFroide->setOfficine(null);
            }
        }

        return $this;
    }

    public function __toString()
    {
        return $this->RaisonSociale;
    }
}

templates/base.html.twig
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="stylesheet" href="https://bootswatch.com/5/flatly/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.6.1/font/bootstrap-icons.css">
        <!-- Font Awesome -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css" rel="stylesheet"/>
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet"/>
        <!-- MDB -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.3.0/mdb.min.css" rel="stylesheet"/>
        {% block stylesheets %}{% endblock %}

        {% block javascripts %}{% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="home">RDTemp</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                
                <div class="collapse navbar-collapse" id="navbarColor02">
                    <ul class="navbar-nav me-auto">
                    {% if is_granted('ROLE_ADMIN') %}
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Gestion Techniciens</a>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="{{ path('listtech') }}">Afficher la liste</a>
                                <a class="dropdown-item" href="{{ path('createtech') }}">Créer</a>
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Gestion Officines</a>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="{{ path('listofficine') }}">Afficher la liste</a>
                                <a class="dropdown-item" href="{{ path('createofficine') }}">Créer</a>
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Gestion Chambres Froides</a>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="listchambrefroide">Afficher la liste</a>
                                <a class="dropdown-item" href="createchambrefroide">Créer</a>
                            </div>
                        </li>
                        {% endif %}
                        {% if is_granted('ROLE_TECHNICIEN') %}
                        <li class="nav-item">
                            <a class="nav-link" href="uploadfile">Uploader des Fichiers</a>
                        </li>
                        {% endif %}
                        {% if is_granted('ROLE_OFFICINE') %}
                        <li class="nav-item">
                            <a class="nav-link" href="seecharts">Consulter les données</a>
                        </li>
                        {% endif %}
                    </ul>
                    <form class="d-flex">
                        {% if app.user %}
                                <input value="Se Déconnecter" type="button" class="btn btn-secondary my-2 my-sm-0 login" onclick="document.location.href='{{ path('app_logout') }}';" />
                        {% else %}
                                <input value="Se Connecter" type="button" class="btn btn-secondary my-2 my-sm-0 login" onclick="document.location.href='{{ path('app_login') }}';" />
                        {% endif %}
                    </form>
                </div>
            </div>
        </nav>

        <div class="container">
            {% block body %}
        
            {% endblock %}
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
        <!-- MDB -->
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.3.0/mdb.min.js"></script>
    </body>
</html>